
---

 - name: Create Scripts Directory in VM Linux
   file:
     path: "{{ dir_script }}"
     state: directory
     mode: '0744'
   tags:
     - hardeningUbuntuOS
   ignore_errors: yes
   failed_when: false
   when: ansible_distribution == "Debian" or ansible_distribution == "Ubuntu"

 - name: Copy Script template
   template:
     src: hardeningOS.j2
     dest: "{{ dir_script }}"
     owner: root
     group: root
     mode: 0744
   tags:
     - hardeningUbuntuOS
   ignore_errors: yes
   failed_when: false
   when: ansible_distribution == "Debian" or ansible_distribution == "Ubuntu"

 - name: Exec Hardening OS Script
   command: bash "{{ script_path }}"
   tags:
     - hardeningUbuntuOS      
   ignore_errors: yes
   failed_when: false
   when: ansible_distribution == "Debian" or ansible_distribution == "Ubuntu"

...

